Summary:	GNOME CUPS library
Summary(pl.UTF-8):	Biblioteka GNOME CUPS
Name:		libgnomecups
Version:	0.2.3
Release:	4
License:	LGPL v2
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgnomecups/0.2/%{name}-%{version}.tar.bz2
# Source0-md5:	dc4920c15c9f886f73ea74fbff0ae48b
Patch0:		%{name}-glib.patch
Patch1:		%{name}-format.patch
Patch2:		%{name}-lpoptions.patch
Patch3:		%{name}-0.2.3-cups-1.6.patch
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	cups-devel
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.12.1
BuildRequires:	gnome-common >= 2.12.0
BuildRequires:	intltool >= 0.20
BuildRequires:	libtool
BuildRequires:	openssl-devel >= 0.9.8b
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME CUPS library - wrapper for CUPS library.

%description -l pl.UTF-8
Biblioteka GNOME CUPS - będąca interfejsem do biblioteki CUPS.

%package devel
Summary:	Devel files for libgnomecups
Summary(pl.UTF-8):	Pliki nagłówkowe libgnomecups
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cups-devel
Requires:	glib2-devel >= 1:2.12.1
Requires:	openssl-devel >= 0.9.8b

%description devel
Devel files for libgnomecups.

%description devel -l pl.UTF-8
Pliki nagłówkowe libgnomecups.

%package static
Summary:	libgnomecups static library
Summary(pl.UTF-8):	Statyczna biblioteka libgnomecups
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libgnomecups static library.

%description static -l pl.UTF-8
Statyczna biblioteka libgnomecups.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL="install -p" \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_localedir}/{sr@Latn,sr@latin}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%attr(755,root,root) %{_libdir}/libgnomecups-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnomecups-1.0.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnomecups-1.0.so
%{_libdir}/libgnomecups-1.0.la
%{_includedir}/libgnomecups-1
%{_pkgconfigdir}/libgnomecups-1.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgnomecups-1.0.a
%changelog
* Fri Mar 20 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgnomecups.git;a=log;h=master

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 2a1b4cb
- add cups 1.6 patch from gentoo to build with current cups

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 12898a6
- add libgnomecups-lpoptions.patch

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 0d81818
- updated gettext BR

* Sun Jan 06 2013 Jakub Bogusz <qboosh@pld-linux.org> e4f7eb0
- added glib patch (fixes build with glib 2.34)
- added format patch (fixes build with -Werror=format-security)

* Sat Nov 19 2011 Jakub Bogusz <qboosh@pld-linux.org> 8d8637e
- ghost soname symlink
- added NEWS to doc
- unify locale names (sr@Latn -> sr@latin)
- License is LGPL (v2)
- release 3

* Mon Jul 06 2009 Jan Rękorajski <baggins@pld-linux.org> 4950799
- rel 2

* Wed Feb 06 2008 Patryk Zawadzki <patrys@room-303.com> 92a9b52
- 0.2.3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ad976aa
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b9f27f8
- converted to UTF-8

* Fri Jan 05 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 2d0880c
- rel 6

* Mon Aug 07 2006 freetz <freetz@pld-linux.org> 22d8e69
- rel.5

* Wed Jul 12 2006 freetz <freetz@pld-linux.org> 814e1b2
- rel.4, updated deps, --as-needed support

* Wed Jun 07 2006 freetz <freetz@pld-linux.org> 3b9b738
- rel.3, bleeding edge deps

* Mon Mar 20 2006 freetz <freetz@pld-linux.org> 7b2b462
- rel.2

* Thu Sep 29 2005 freetz <freetz@pld-linux.org> 9888c1a
- 0.2.2

* Tue Sep 06 2005 aflinta <aflinta@pld-linux.org> 16f2a91
- 0.2.1

* Sun Jun 26 2005 zbyniu <zbyniu@pld-linux.org> d7e319f
- R: cups-devel, openssl-devel in -devel; rel 3, STBR

* Mon Jun 06 2005 zbyniu <zbyniu@pld-linux.org> cddd78a
- BR: gettext-devel, intltool, openssl-devel, pkgconfig

* Tue Apr 12 2005 freetz <freetz@pld-linux.org> 7337d5b
- reversed ldconfig changes

* Sun Apr 10 2005 freetz <freetz@pld-linux.org> db29f0a
- new style macros, rel.2

